* {
    box-sizing: border-box;
}

:root {
    --primary-color: #0e1e4e;
    --bg-color: #ecf2f7;
    --accent-color: #4dc2e0;
    --danger-color: #ff6031;
    accent-color: var(--accent-color);
    height: 100vh;
    padding: 0;
}

body {
    height: 100vh;
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: var(--bg-color);
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.container {
    max-width: 500px;
    margin: 0 auto;
    padding: 15px;
}

h1, h1 img {
    color: var(--primary-color);
    text-align: center;
    width: clamp(20rem, 40vw, 80rem);
    margin-inline: auto;
}

h2 {
    text-align: center;
}

form {
    background-color: white;
    border: 1px solid var(--primary-color);
    border-radius: 5px;
    padding: 20px;
    width: clamp(20rem, 30vw, 60rem);
    margin: 0 auto;
}

label {
    width: 10rex;
}

input[type=text], input[type=password] {
    width: 100%;
    border: none;
    outline: 1px solid var(--primary-color);
    border-radius: 0.5rem;
    background: var(--bg-color);
    padding: 0.5rem 0.25rem;
    &:focus-visible {
        outline: 2px solid var(--accent-color);
        background: white;
    }
}

fieldset {
    display: grid;
    gap: 1rem;
    margin-bottom: 2rem;
    grid-template-columns: max-content 1fr;
    border: none;
    & * {
        align-self: center;
    }
}

button {
    width: 100%;
    padding: 10px;
    border: none;
    border-radius: 5px;
    background-color: var(--primary-color);
    text-transform: uppercase;
    color: white;
    cursor: pointer;
    &:focus-visible {
        background: var(--accent-color);
    }
}

.alert {
    color: white;
    background-color: var(--danger-color);
    border-color: var(--accent-color);
    padding: 10px;
    margin-bottom: 15px;
    border-radius: 5px;
}